/*
 * AbstractionHelper.hpp
 *
 *  Created on: 25. 8. 2017
 *	  Author: Jan Travnicek
 */

#ifndef _ALGORITHM_HELPER_HPP_
#define _ALGORITHM_HELPER_HPP_

#include <string>
#include <memory>
#include <vector>
#include <common/AlgorithmCategories.hpp>

namespace abstraction {

class AlgorithmHelper {
public:
	static std::shared_ptr < abstraction::OperationAbstraction > eval ( const std::string & algo, const ext::vector < std::shared_ptr < abstraction::OperationAbstraction > > & params, std::vector < bool > & moves, AlgorithmCategories::AlgorithmCategory category );

};

} /* namespace abstraction */

#endif /* _ALGORITHM_HELPER_HPP_ */
