/*
 * RandomSubstringFactory.cpp
 *
 *  Created on: 27. 3. 2014
 *	  Author: Jan Travnicek
 */

#include "RandomSubstringFactory.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace generate {

auto RandomSubstringFactoryLinearString = registration::AbstractRegister < RandomSubstringFactory, string::LinearString < >, size_t, const string::LinearString < > & > ( RandomSubstringFactory::generateSubstring );

} /* namespace generate */

} /* namespace string */
