#include <list>
#include "stringMatchTest.h"

#include <string/LinearString.h>
#include <stringology/exact/ExactFactorMatch.h>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( stringMatchTest, "string" );
CPPUNIT_TEST_SUITE_REGISTRATION( stringMatchTest );

void stringMatchTest::setUp() {
}

void stringMatchTest::tearDown() {
}

void stringMatchTest::testStringMatch() {
	string::LinearString < > linear1({DefaultSymbolType(0), DefaultSymbolType(1), DefaultSymbolType(2), DefaultSymbolType(3)});
	string::LinearString < > linear2({DefaultSymbolType(1), DefaultSymbolType(2), DefaultSymbolType(3)});

	CPPUNIT_ASSERT ( stringology::exact::ExactFactorMatch::match ( linear1, linear2 ).count ( 1 ) );
}

