#ifndef _CLI_PREVIOUS_RESULT_PARAM_H_
#define _CLI_PREVIOUS_RESULT_PARAM_H_

#include <ast/Param.h>

namespace cli {

class PreviousResultParam final : public Param {

public:
	PreviousResultParam ( bool move ) : Param ( move ) {
	}

	virtual std::shared_ptr < abstraction::OperationAbstraction > translateAndEval ( const std::shared_ptr < abstraction::OperationAbstraction > & prev, Environment & ) const override {
		return prev;
	}
};

} /* namespace cli */

#endif /* _CLI_PREVIOUS_RESULT_PARAM_H_ */
