/*
 * SinglePopDPDA.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "SinglePopDPDA.h"
#include <automaton/Automaton.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::SinglePopDPDA < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::Automaton, automaton::SinglePopDPDA < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, automaton::SinglePopDPDA < > > ( );

static auto xmlReader = registration::XmlReaderRegister < automaton::Automaton, automaton::SinglePopDPDA < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, automaton::SinglePopDPDA < > > ( );

} /* namespace */
