/*
 * ObjectsSet.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsSet.h"
#include <container/Container.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < container::Container, container::ObjectsSet < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < alib::Object, container::ObjectsSet < > > ( );

static auto stringReader = registration::StringReaderRegister < container::Container, container::ObjectsSet < > > ( );
static auto stringReaded2 = registration::StringReaderRegister < alib::Object, container::ObjectsSet < > > ( );

} /* namespace */
