/*
 * Bool.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_BOOL_H_
#define _STRING_BOOL_H_

#include <primitive/Bool.h>
#include <core/stringApi.hpp>

#include <primitive/PrimitiveFromStringLexer.h>

namespace alib {

template < >
struct stringApi < bool > {
	static bool parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, bool primitive );
};

template < >
struct stringApi < primitive::Bool > {
	static primitive::Bool parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const primitive::Bool & primitive );
};

} /* namespace alib */

#endif /* _STRING_BOOL_H_ */
