/*
 * Void.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef _XML_VOID_H_
#define _XML_VOID_H_

#include <object/Void.h>
#include <core/xmlApi.hpp>

namespace alib {

template < >
struct xmlApi < void > {
	static void parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output );
};

template < >
struct xmlApi < alib::Void > {
	static alib::Void parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const alib::Void & data );
};

} /* namespace alib */

#endif /* _XML_VOID_H_ */
