/*
 * ExactMultiNondeterministicSubsequenceAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactMultiNondeterministicSubsequenceAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto ExactMultiNondeterministicSubsequenceAutomatonLinearString = registration::AbstractRegister < ExactMultiNondeterministicSubsequenceAutomaton, automaton::EpsilonNFA < DefaultSymbolType, DefaultEpsilonType, ext::pair < unsigned, unsigned > >, const ext::set < string::LinearString < > > & > ( ExactMultiNondeterministicSubsequenceAutomaton::construct );

} /* namespace indexing */

} /* namespace stringology */
