#ifndef REG_EXP_OPTIMIZE_TEST_H_
#define REG_EXP_OPTIMIZE_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class RegExpOptimizeTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( RegExpOptimizeTest );
  CPPUNIT_TEST( testOptimize );
  CPPUNIT_TEST( testOptimizeTemplated );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testOptimize();
  void testOptimizeTemplated();
};

#endif  // REG_EXP_OPTIMIZE_TEST_H_
