/*
 * FormalRTE.cpp
 *
 *  Created on: Feb 20, 2016
 *      Author: Tomas Pecka
 */

#include "FormalRTE.h"
#include "../RTE.h"
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < rte::FormalRTE < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < rte::RTE, rte::FormalRTE < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, rte::FormalRTE < > > ( );

static auto xmlReader = registration::XmlReaderRegister < rte::RTE, rte::FormalRTE < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, rte::FormalRTE < > > ( );

} /* namespace */
