/*
 * HexavigesimalLabel.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_HEXAVIGESIMAL_LABEL_H_
#define _STRING_HEXAVIGESIMAL_LABEL_H_

#include <label/HexavigesimalLabel.h>
#include <core/stringApi.hpp>

namespace alib {

template < >
struct stringApi < label::HexavigesimalLabel > {
	static label::HexavigesimalLabel parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const label::HexavigesimalLabel & label );
};

} /* namespace alib */

#endif /* _STRING_HEXAVIGESIMAL_LABEL_H_ */
