/*
 * Character.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_VOID_H_
#define _STRING_VOID_H_

#include <object/Void.h>
#include <core/stringApi.hpp>

namespace alib {

template < >
struct stringApi < alib::Void > {
	static alib::Void parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const alib::Void & primitive );
};

} /* namespace alib */

#endif /* _STRING_VOID_H_ */
